#### D.15.14.20 preimageLattice

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  preimageLattice(P, B); intmat P, intmat B

Purpose:
  compute an integral basis for the preimage of B under the homomorphism of lattices defined by the intmat P.

Returns:
  intmat

Example:

    LIB "multigrading.lib";
    intmat P[2][3] =
    2,6,10,
    4,8,12;
    intmat B[2][1] =
    1,
    0;
    // should be a (3x2)-matrix with columns e.g. [1,1,-1] and [0,3,-2] (the generated lattice should be identical)
    print(preimageLattice(P,B));
    ==>      1     0
    ==>      1     3
    ==>     -1    -2
    // another example
    intmat W[3][3] =
    1,0,0,
    0,1,1,
    0,2,0;
    intmat Z[3][2] =
    1,0,
    0,1,
    0,0;
    // should be a (3x2)-matrix with columns e.g. [1,0,0] and [0,0,-1] (the generated lattice should be identical)
    print(preimageLattice(W,Z));
    ==>      1     0
    ==>      0     0
    ==>      0     1

User manual for Singular version 4.4.1, 2025, generated by texi2html.